Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 83d6249504661920123f31d028c17441433bf318)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 0979dfbbc2592a51329850a31e11056a6156d562)
@@ -40,6 +40,8 @@
     # for the gui and providing an interface to the data model.
     name = "Invariant" # For displaying in the combo box
-    def __init__(self, manager=None, parent=None):
-        super(InvariantWindow, self).__init__(parent)
+    #def __init__(self, manager=None, parent=None):
+    def __init__(self, parent=None):
+        #super(InvariantWindow, self).__init__(parent)
+        super(InvariantWindow, self).__init__()
         self.setupUi(self)
 
@@ -55,5 +57,6 @@
         self._power_low = 4
 
-        self._manager = manager
+        self._manager = parent
+        #self._manager = manager
         self._reactor = self._manager.reactor()
         self._model_item = QtGui.QStandardItem()
Index: src/sas/qtgui/UI/DataExplorerUI.ui
===================================================================
--- src/sas/qtgui/UI/DataExplorerUI.ui	(revision ca8b853794f5f4bbe47ba4df51be09241beee385)
+++ src/sas/qtgui/UI/DataExplorerUI.ui	(revision 0979dfbbc2592a51329850a31e11056a6156d562)
@@ -7,5 +7,5 @@
     <x>0</x>
     <y>0</y>
-    <width>517</width>
+    <width>389</width>
     <height>693</height>
    </rect>
@@ -14,5 +14,5 @@
    <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
     <horstretch>0</horstretch>
-    <verstretch>0</verstretch>
+    <verstretch>5</verstretch>
    </sizepolicy>
   </property>
@@ -42,6 +42,43 @@
          <item>
           <widget class="QPushButton" name="cmdLoad">
-           <property name="text">
-            <string>Load</string>
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+             <horstretch>5</horstretch>
+             <verstretch>5</verstretch>
+            </sizepolicy>
+           </property>
+           <property name="minimumSize">
+            <size>
+             <width>154</width>
+             <height>50</height>
+            </size>
+           </property>
+           <property name="baseSize">
+            <size>
+             <width>100</width>
+             <height>50</height>
+            </size>
+           </property>
+           <property name="toolTip">
+            <string>Load a file with data</string>
+           </property>
+           <property name="styleSheet">
+            <string notr="true">font: 13pt &quot;MS Shell Dlg 2&quot;;</string>
+           </property>
+           <property name="text">
+            <string>Load data</string>
+           </property>
+           <property name="icon">
+            <iconset resource="main_resources.qrc">
+             <normaloff>:/res/down-grey.png</normaloff>:/res/down-grey.png</iconset>
+           </property>
+           <property name="iconSize">
+            <size>
+             <width>48</width>
+             <height>48</height>
+            </size>
+           </property>
+           <property name="shortcut">
+            <string>Ctrl+R</string>
            </property>
           </widget>
@@ -143,29 +180,45 @@
         <layout class="QHBoxLayout" name="horizontalLayout">
          <item>
-          <spacer name="horizontalSpacer">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
-           </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>58</width>
-             <height>20</height>
-            </size>
-           </property>
-          </spacer>
-         </item>
-         <item>
-          <widget class="QToolButton" name="cmdSendTo">
-           <property name="text">
-            <string>...</string>
+          <widget class="QPushButton" name="cmdSendTo">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+             <horstretch>5</horstretch>
+             <verstretch>5</verstretch>
+            </sizepolicy>
+           </property>
+           <property name="minimumSize">
+            <size>
+             <width>170</width>
+             <height>50</height>
+            </size>
+           </property>
+           <property name="baseSize">
+            <size>
+             <width>100</width>
+             <height>50</height>
+            </size>
+           </property>
+           <property name="font">
+            <font>
+             <pointsize>13</pointsize>
+            </font>
+           </property>
+           <property name="toolTip">
+            <string>Send data to perspective</string>
+           </property>
+           <property name="styleSheet">
+            <string notr="true">font: 13pt &quot;MS Shell Dlg 2&quot;;</string>
+           </property>
+           <property name="text">
+            <string>Send data to</string>
            </property>
            <property name="icon">
             <iconset resource="main_resources.qrc">
-             <normaloff>:/res/file_send-128.png</normaloff>:/res/file_send-128.png</iconset>
+             <normaloff>:/res/right-grey.png</normaloff>:/res/right-grey.png</iconset>
            </property>
            <property name="iconSize">
             <size>
-             <width>32</width>
-             <height>32</height>
+             <width>48</width>
+             <height>48</height>
             </size>
            </property>
@@ -218,4 +271,10 @@
         <property name="title">
          <string>Plot</string>
+        </property>
+        <property name="flat">
+         <bool>false</bool>
+        </property>
+        <property name="checkable">
+         <bool>false</bool>
         </property>
         <layout class="QGridLayout" name="gridLayout_3">
Index: src/sas/qtgui/UI/main_resources.qrc
===================================================================
--- src/sas/qtgui/UI/main_resources.qrc	(revision f82ab8cebb48e29a3c2598340d12929e037d764c)
+++ src/sas/qtgui/UI/main_resources.qrc	(revision 0979dfbbc2592a51329850a31e11056a6156d562)
@@ -1,4 +1,6 @@
 <RCC>
   <qresource>
+    <file>res/down-grey.png</file>
+    <file>res/right-grey.png</file>
     <file>res/file_send-128.png</file>
     <file>res/SendTo512.png</file>