Index: sansguiframe/src/sans/guiframe/gui_statusbar.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_statusbar.py	(revision 3fc01c5377ceccf4f77d387c814fbf1af78d969f)
+++ sansguiframe/src/sans/guiframe/gui_statusbar.py	(revision 986da97678c3e68b4c7a35f2fbeab3598c95a4eb)
@@ -228,5 +228,5 @@
         """
         wxStatusB.PopStatusText(self, field=MSG_POSITION)
-      
+        
     def PushStatusText(self, *args, **kwds):
         """
@@ -315,4 +315,7 @@
                                                  size = (height,height))
             self.bitmap_bt_warning.SetBitmapLabel(icon_bmp)
+            e_msg = "Error(s) Occurred:\n"
+            e_msg += event.status
+            wx.MessageBox(e_msg, style=wx.ICON_ERROR)
         else:
             icon_bmp =  wx.ArtProvider.GetBitmap(wx.ART_INFORMATION,
Index: sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py	(revision c151afce75090a678ff33aba9074dd89ca1a8fac)
+++ sansguiframe/src/sans/guiframe/local_perspectives/data_loader/data_loader.py	(revision 986da97678c3e68b4c7a35f2fbeab3598c95a4eb)
@@ -177,10 +177,12 @@
         log_msg = ''
         output = {}
+        any_error = False
         error_message = ""
-        info = "info"
         for p_file in path:
+            info = "info"
             basename  = os.path.basename(p_file)
             root, extension = os.path.splitext(basename)
             if extension.lower() in EXTENSIONS:
+                any_error = True
                 log_msg = "Data Loader cannot "
                 log_msg += "load: %s\n" % str(p_file)
@@ -203,18 +205,22 @@
                 self.load_update(output=output, message=message, info=info)
             except:
-                 error = "Error while loading Data: %s\n" % str(p_file)
-                 error += str(sys.exc_value) + "\n"
-                 error_message = "The data file you selected could not be loaded.\n"
-                 error_message += "Make sure the content of your file"
-                 error_message += " is properly formatted.\n\n"
-                 error_message += "When contacting the DANSE team, mention the"
-                 error_message += " following:\n%s" % str(error)
-                 info = "error"
-                 self.load_update(output=output, message=error_message, 
+                any_error = True
+                if error_message == "":
+                     error = "Error: " + str(sys.exc_value) + "\n"
+                     error += "while loading Data: \n%s\n" % str(p_file)
+                     error_message = "The data file you selected could not be loaded.\n"
+                     error_message += "Make sure the content of your file"
+                     error_message += " is properly formatted.\n\n"
+                     error_message += "When contacting the DANSE team, mention the"
+                     error_message += " following:\n%s" % str(error)
+                else:
+                     error_message += "%s\n"% str(p_file)
+                info = "error"
+                self.load_update(output=output, message=error_message, 
                                   info=info)
                 
         message = "Loading Data Complete! "
         message += log_msg
-        if error_message!= "":
+        if error_message != "":
             info = 'error'
         self.load_complete(output=output, error_message=error_message,
@@ -226,5 +232,5 @@
         """
         if message != "":
-            wx.PostEvent(self.parent, StatusEvent(status=message, info=info, 
+            wx.PostEvent(self.parent, StatusEvent(status=message, info='info', 
                                                   type="progress"))
     def load_complete(self, output, message="", error_message="", path=None, 
@@ -236,6 +242,6 @@
                                               info=info,
                                               type="stop"))
-        if error_message != "":
-            self.load_error(error_message)
+        #if error_message != "":
+        #    self.load_error(error_message)
         self.parent.add_data(data_list=output)
    