Index: sasmodels/models/lib/gauss150.c
===================================================================
--- sasmodels/models/lib/gauss150.c	(revision 14de349c663ca9521843af50415c37aed27a9eef)
+++ sasmodels/models/lib/gauss150.c	(revision 994d77f9b713691e41106d1f9af9661dfb2dc419)
@@ -9,307 +9,307 @@
 
 // Gaussians
-constant real Gauss150Z[150]={
-  	REAL(-0.9998723404457334),
-  	REAL(-0.9993274305065947),
-  	REAL(-0.9983473449340834),
-  	REAL(-0.9969322929775997),
-  	REAL(-0.9950828645255290),
-  	REAL(-0.9927998590434373),
-  	REAL(-0.9900842691660192),
-  	REAL(-0.9869372772712794),
-  	REAL(-0.9833602541697529),
-  	REAL(-0.9793547582425894),
-  	REAL(-0.9749225346595943),
-  	REAL(-0.9700655145738374),
-  	REAL(-0.9647858142586956),
-  	REAL(-0.9590857341746905),
-  	REAL(-0.9529677579610971),
-  	REAL(-0.9464345513503147),
-  	REAL(-0.9394889610042837),
-  	REAL(-0.9321340132728527),
-  	REAL(-0.9243729128743136),
-  	REAL(-0.9162090414984952),
-  	REAL(-0.9076459563329236),
-  	REAL(-0.8986873885126239),
-  	REAL(-0.8893372414942055),
-  	REAL(-0.8795995893549102),
-  	REAL(-0.8694786750173527),
-  	REAL(-0.8589789084007133),
-  	REAL(-0.8481048644991847),
-  	REAL(-0.8368612813885015),
-  	REAL(-0.8252530581614230),
-  	REAL(-0.8132852527930605),
-  	REAL(-0.8009630799369827),
-  	REAL(-0.7882919086530552),
-  	REAL(-0.7752772600680049),
-  	REAL(-0.7619248049697269),
-  	REAL(-0.7482403613363824),
-  	REAL(-0.7342298918013638),
-  	REAL(-0.7198995010552305),
-  	REAL(-0.7052554331857488),
-  	REAL(-0.6903040689571928),
-  	REAL(-0.6750519230300931),
-  	REAL(-0.6595056411226444),
-  	REAL(-0.6436719971150083),
-  	REAL(-0.6275578900977726),
-  	REAL(-0.6111703413658551),
-  	REAL(-0.5945164913591590),
-  	REAL(-0.5776035965513142),
-  	REAL(-0.5604390262878617),
-  	REAL(-0.5430302595752546),
-  	REAL(-0.5253848818220803),
-  	REAL(-0.5075105815339176),
-  	REAL(-0.4894151469632753),
-  	REAL(-0.4711064627160663),
-  	REAL(-0.4525925063160997),
-  	REAL(-0.4338813447290861),
-  	REAL(-0.4149811308476706),
-  	REAL(-0.3959000999390257),
-  	REAL(-0.3766465660565522),
-  	REAL(-0.3572289184172501),
-  	REAL(-0.3376556177463400),
-  	REAL(-0.3179351925907259),
-  	REAL(-0.2980762356029071),
-  	REAL(-0.2780873997969574),
-  	REAL(-0.2579773947782034),
-  	REAL(-0.2377549829482451),
-  	REAL(-0.2174289756869712),
-  	REAL(-0.1970082295132342),
-  	REAL(-0.1765016422258567),
-  	REAL(-0.1559181490266516),
-  	REAL(-0.1352667186271445),
-  	REAL(-0.1145563493406956),
-  	REAL(-0.0937960651617229),
-  	REAL(-0.0729949118337358),
-  	REAL(-0.0521619529078925),
-  	REAL(-0.0313062657937972),
-  	REAL(-0.0104369378042598),
-  	REAL(0.0104369378042598),
-  	REAL(0.0313062657937972),
-  	REAL(0.0521619529078925),
-  	REAL(0.0729949118337358),
-  	REAL(0.0937960651617229),
-  	REAL(0.1145563493406956),
-  	REAL(0.1352667186271445),
-  	REAL(0.1559181490266516),
-  	REAL(0.1765016422258567),
-  	REAL(0.1970082295132342),
-  	REAL(0.2174289756869712),
-  	REAL(0.2377549829482451),
-  	REAL(0.2579773947782034),
-  	REAL(0.2780873997969574),
-  	REAL(0.2980762356029071),
-  	REAL(0.3179351925907259),
-  	REAL(0.3376556177463400),
-  	REAL(0.3572289184172501),
-  	REAL(0.3766465660565522),
-  	REAL(0.3959000999390257),
-  	REAL(0.4149811308476706),
-  	REAL(0.4338813447290861),
-  	REAL(0.4525925063160997),
-  	REAL(0.4711064627160663),
-  	REAL(0.4894151469632753),
-  	REAL(0.5075105815339176),
-  	REAL(0.5253848818220803),
-  	REAL(0.5430302595752546),
-  	REAL(0.5604390262878617),
-  	REAL(0.5776035965513142),
-  	REAL(0.5945164913591590),
-  	REAL(0.6111703413658551),
-  	REAL(0.6275578900977726),
-  	REAL(0.6436719971150083),
-  	REAL(0.6595056411226444),
-  	REAL(0.6750519230300931),
-  	REAL(0.6903040689571928),
-  	REAL(0.7052554331857488),
-  	REAL(0.7198995010552305),
-  	REAL(0.7342298918013638),
-  	REAL(0.7482403613363824),
-  	REAL(0.7619248049697269),
-  	REAL(0.7752772600680049),
-  	REAL(0.7882919086530552),
-  	REAL(0.8009630799369827),
-  	REAL(0.8132852527930605),
-  	REAL(0.8252530581614230),
-  	REAL(0.8368612813885015),
-  	REAL(0.8481048644991847),
-  	REAL(0.8589789084007133),
-  	REAL(0.8694786750173527),
-  	REAL(0.8795995893549102),
-  	REAL(0.8893372414942055),
-  	REAL(0.8986873885126239),
-  	REAL(0.9076459563329236),
-  	REAL(0.9162090414984952),
-  	REAL(0.9243729128743136),
-  	REAL(0.9321340132728527),
-  	REAL(0.9394889610042837),
-  	REAL(0.9464345513503147),
-  	REAL(0.9529677579610971),
-  	REAL(0.9590857341746905),
-  	REAL(0.9647858142586956),
-  	REAL(0.9700655145738374),
-  	REAL(0.9749225346595943),
-  	REAL(0.9793547582425894),
-  	REAL(0.9833602541697529),
-  	REAL(0.9869372772712794),
-  	REAL(0.9900842691660192),
-  	REAL(0.9927998590434373),
-  	REAL(0.9950828645255290),
-  	REAL(0.9969322929775997),
-  	REAL(0.9983473449340834),
-  	REAL(0.9993274305065947),
-  	REAL(0.9998723404457334)
+constant double Gauss150Z[150]={
+  	-0.9998723404457334,
+  	-0.9993274305065947,
+  	-0.9983473449340834,
+  	-0.9969322929775997,
+  	-0.9950828645255290,
+  	-0.9927998590434373,
+  	-0.9900842691660192,
+  	-0.9869372772712794,
+  	-0.9833602541697529,
+  	-0.9793547582425894,
+  	-0.9749225346595943,
+  	-0.9700655145738374,
+  	-0.9647858142586956,
+  	-0.9590857341746905,
+  	-0.9529677579610971,
+  	-0.9464345513503147,
+  	-0.9394889610042837,
+  	-0.9321340132728527,
+  	-0.9243729128743136,
+  	-0.9162090414984952,
+  	-0.9076459563329236,
+  	-0.8986873885126239,
+  	-0.8893372414942055,
+  	-0.8795995893549102,
+  	-0.8694786750173527,
+  	-0.8589789084007133,
+  	-0.8481048644991847,
+  	-0.8368612813885015,
+  	-0.8252530581614230,
+  	-0.8132852527930605,
+  	-0.8009630799369827,
+  	-0.7882919086530552,
+  	-0.7752772600680049,
+  	-0.7619248049697269,
+  	-0.7482403613363824,
+  	-0.7342298918013638,
+  	-0.7198995010552305,
+  	-0.7052554331857488,
+  	-0.6903040689571928,
+  	-0.6750519230300931,
+  	-0.6595056411226444,
+  	-0.6436719971150083,
+  	-0.6275578900977726,
+  	-0.6111703413658551,
+  	-0.5945164913591590,
+  	-0.5776035965513142,
+  	-0.5604390262878617,
+  	-0.5430302595752546,
+  	-0.5253848818220803,
+  	-0.5075105815339176,
+  	-0.4894151469632753,
+  	-0.4711064627160663,
+  	-0.4525925063160997,
+  	-0.4338813447290861,
+  	-0.4149811308476706,
+  	-0.3959000999390257,
+  	-0.3766465660565522,
+  	-0.3572289184172501,
+  	-0.3376556177463400,
+  	-0.3179351925907259,
+  	-0.2980762356029071,
+  	-0.2780873997969574,
+  	-0.2579773947782034,
+  	-0.2377549829482451,
+  	-0.2174289756869712,
+  	-0.1970082295132342,
+  	-0.1765016422258567,
+  	-0.1559181490266516,
+  	-0.1352667186271445,
+  	-0.1145563493406956,
+  	-0.0937960651617229,
+  	-0.0729949118337358,
+  	-0.0521619529078925,
+  	-0.0313062657937972,
+  	-0.0104369378042598,
+  	0.0104369378042598,
+  	0.0313062657937972,
+  	0.0521619529078925,
+  	0.0729949118337358,
+  	0.0937960651617229,
+  	0.1145563493406956,
+  	0.1352667186271445,
+  	0.1559181490266516,
+  	0.1765016422258567,
+  	0.1970082295132342,
+  	0.2174289756869712,
+  	0.2377549829482451,
+  	0.2579773947782034,
+  	0.2780873997969574,
+  	0.2980762356029071,
+  	0.3179351925907259,
+  	0.3376556177463400,
+  	0.3572289184172501,
+  	0.3766465660565522,
+  	0.3959000999390257,
+  	0.4149811308476706,
+  	0.4338813447290861,
+  	0.4525925063160997,
+  	0.4711064627160663,
+  	0.4894151469632753,
+  	0.5075105815339176,
+  	0.5253848818220803,
+  	0.5430302595752546,
+  	0.5604390262878617,
+  	0.5776035965513142,
+  	0.5945164913591590,
+  	0.6111703413658551,
+  	0.6275578900977726,
+  	0.6436719971150083,
+  	0.6595056411226444,
+  	0.6750519230300931,
+  	0.6903040689571928,
+  	0.7052554331857488,
+  	0.7198995010552305,
+  	0.7342298918013638,
+  	0.7482403613363824,
+  	0.7619248049697269,
+  	0.7752772600680049,
+  	0.7882919086530552,
+  	0.8009630799369827,
+  	0.8132852527930605,
+  	0.8252530581614230,
+  	0.8368612813885015,
+  	0.8481048644991847,
+  	0.8589789084007133,
+  	0.8694786750173527,
+  	0.8795995893549102,
+  	0.8893372414942055,
+  	0.8986873885126239,
+  	0.9076459563329236,
+  	0.9162090414984952,
+  	0.9243729128743136,
+  	0.9321340132728527,
+  	0.9394889610042837,
+  	0.9464345513503147,
+  	0.9529677579610971,
+  	0.9590857341746905,
+  	0.9647858142586956,
+  	0.9700655145738374,
+  	0.9749225346595943,
+  	0.9793547582425894,
+  	0.9833602541697529,
+  	0.9869372772712794,
+  	0.9900842691660192,
+  	0.9927998590434373,
+  	0.9950828645255290,
+  	0.9969322929775997,
+  	0.9983473449340834,
+  	0.9993274305065947,
+  	0.9998723404457334
 };
 
-constant real Gauss150Wt[150]={
-  	REAL(0.0003276086705538),
-  	REAL(0.0007624720924706),
-  	REAL(0.0011976474864367),
-  	REAL(0.0016323569986067),
-  	REAL(0.0020663664924131),
-  	REAL(0.0024994789888943),
-  	REAL(0.0029315036836558),
-  	REAL(0.0033622516236779),
-  	REAL(0.0037915348363451),
-  	REAL(0.0042191661429919),
-  	REAL(0.0046449591497966),
-  	REAL(0.0050687282939456),
-  	REAL(0.0054902889094487),
-  	REAL(0.0059094573005900),
-  	REAL(0.0063260508184704),
-  	REAL(0.0067398879387430),
-  	REAL(0.0071507883396855),
-  	REAL(0.0075585729801782),
-  	REAL(0.0079630641773633),
-  	REAL(0.0083640856838475),
-  	REAL(0.0087614627643580),
-  	REAL(0.0091550222717888),
-  	REAL(0.0095445927225849),
-  	REAL(0.0099300043714212),
-  	REAL(0.0103110892851360),
-  	REAL(0.0106876814158841),
-  	REAL(0.0110596166734735),
-  	REAL(0.0114267329968529),
-  	REAL(0.0117888704247183),
-  	REAL(0.0121458711652067),
-  	REAL(0.0124975796646449),
-  	REAL(0.0128438426753249),
-  	REAL(0.0131845093222756),
-  	REAL(0.0135194311690004),
-  	REAL(0.0138484622795371),
-  	REAL(0.0141714592928592),
-  	REAL(0.0144882814685445),
-  	REAL(0.0147987907597169),
-  	REAL(0.0151028518701744),
-  	REAL(0.0154003323133401),
-  	REAL(0.0156911024699895),
-  	REAL(0.0159750356447283),
-  	REAL(0.0162520081211971),
-  	REAL(0.0165218992159766),
-  	REAL(0.0167845913311726),
-  	REAL(0.0170399700056559),
-  	REAL(0.0172879239649355),
-  	REAL(0.0175283451696437),
-  	REAL(0.0177611288626114),
-  	REAL(0.0179861736145128),
-  	REAL(0.0182033813680609),
-  	REAL(0.0184126574807331),
-  	REAL(0.0186139107660094),
-  	REAL(0.0188070535331042),
-  	REAL(0.0189920016251754),
-  	REAL(0.0191686744559934),
-  	REAL(0.0193369950450545),
-  	REAL(0.0194968900511231),
-  	REAL(0.0196482898041878),
-  	REAL(0.0197911283358190),
-  	REAL(0.0199253434079123),
-  	REAL(0.0200508765398072),
-  	REAL(0.0201676730337687),
-  	REAL(0.0202756819988200),
-  	REAL(0.0203748563729175),
-  	REAL(0.0204651529434560),
-  	REAL(0.0205465323660984),
-  	REAL(0.0206189591819181),
-  	REAL(0.0206824018328499),
-  	REAL(0.0207368326754401),
-  	REAL(0.0207822279928917),
-  	REAL(0.0208185680053983),
-  	REAL(0.0208458368787627),
-  	REAL(0.0208640227312962),
-  	REAL(0.0208731176389954),
-  	REAL(0.0208731176389954),
-  	REAL(0.0208640227312962),
-  	REAL(0.0208458368787627),
-  	REAL(0.0208185680053983),
-  	REAL(0.0207822279928917),
-  	REAL(0.0207368326754401),
-  	REAL(0.0206824018328499),
-  	REAL(0.0206189591819181),
-  	REAL(0.0205465323660984),
-  	REAL(0.0204651529434560),
-  	REAL(0.0203748563729175),
-  	REAL(0.0202756819988200),
-  	REAL(0.0201676730337687),
-  	REAL(0.0200508765398072),
-  	REAL(0.0199253434079123),
-  	REAL(0.0197911283358190),
-  	REAL(0.0196482898041878),
-  	REAL(0.0194968900511231),
-  	REAL(0.0193369950450545),
-  	REAL(0.0191686744559934),
-  	REAL(0.0189920016251754),
-  	REAL(0.0188070535331042),
-  	REAL(0.0186139107660094),
-  	REAL(0.0184126574807331),
-  	REAL(0.0182033813680609),
-  	REAL(0.0179861736145128),
-  	REAL(0.0177611288626114),
-  	REAL(0.0175283451696437),
-  	REAL(0.0172879239649355),
-  	REAL(0.0170399700056559),
-  	REAL(0.0167845913311726),
-  	REAL(0.0165218992159766),
-  	REAL(0.0162520081211971),
-  	REAL(0.0159750356447283),
-  	REAL(0.0156911024699895),
-  	REAL(0.0154003323133401),
-  	REAL(0.0151028518701744),
-  	REAL(0.0147987907597169),
-  	REAL(0.0144882814685445),
-  	REAL(0.0141714592928592),
-  	REAL(0.0138484622795371),
-  	REAL(0.0135194311690004),
-  	REAL(0.0131845093222756),
-  	REAL(0.0128438426753249),
-  	REAL(0.0124975796646449),
-  	REAL(0.0121458711652067),
-  	REAL(0.0117888704247183),
-  	REAL(0.0114267329968529),
-  	REAL(0.0110596166734735),
-  	REAL(0.0106876814158841),
-  	REAL(0.0103110892851360),
-  	REAL(0.0099300043714212),
-  	REAL(0.0095445927225849),
-  	REAL(0.0091550222717888),
-  	REAL(0.0087614627643580),
-  	REAL(0.0083640856838475),
-  	REAL(0.0079630641773633),
-  	REAL(0.0075585729801782),
-  	REAL(0.0071507883396855),
-  	REAL(0.0067398879387430),
-  	REAL(0.0063260508184704),
-  	REAL(0.0059094573005900),
-  	REAL(0.0054902889094487),
-  	REAL(0.0050687282939456),
-  	REAL(0.0046449591497966),
-  	REAL(0.0042191661429919),
-  	REAL(0.0037915348363451),
-  	REAL(0.0033622516236779),
-  	REAL(0.0029315036836558),
-  	REAL(0.0024994789888943),
-  	REAL(0.0020663664924131),
-  	REAL(0.0016323569986067),
-  	REAL(0.0011976474864367),
-  	REAL(0.0007624720924706),
-  	REAL(0.0003276086705538)
+constant double Gauss150Wt[150]={
+  	0.0003276086705538,
+  	0.0007624720924706,
+  	0.0011976474864367,
+  	0.0016323569986067,
+  	0.0020663664924131,
+  	0.0024994789888943,
+  	0.0029315036836558,
+  	0.0033622516236779,
+  	0.0037915348363451,
+  	0.0042191661429919,
+  	0.0046449591497966,
+  	0.0050687282939456,
+  	0.0054902889094487,
+  	0.0059094573005900,
+  	0.0063260508184704,
+  	0.0067398879387430,
+  	0.0071507883396855,
+  	0.0075585729801782,
+  	0.0079630641773633,
+  	0.0083640856838475,
+  	0.0087614627643580,
+  	0.0091550222717888,
+  	0.0095445927225849,
+  	0.0099300043714212,
+  	0.0103110892851360,
+  	0.0106876814158841,
+  	0.0110596166734735,
+  	0.0114267329968529,
+  	0.0117888704247183,
+  	0.0121458711652067,
+  	0.0124975796646449,
+  	0.0128438426753249,
+  	0.0131845093222756,
+  	0.0135194311690004,
+  	0.0138484622795371,
+  	0.0141714592928592,
+  	0.0144882814685445,
+  	0.0147987907597169,
+  	0.0151028518701744,
+  	0.0154003323133401,
+  	0.0156911024699895,
+  	0.0159750356447283,
+  	0.0162520081211971,
+  	0.0165218992159766,
+  	0.0167845913311726,
+  	0.0170399700056559,
+  	0.0172879239649355,
+  	0.0175283451696437,
+  	0.0177611288626114,
+  	0.0179861736145128,
+  	0.0182033813680609,
+  	0.0184126574807331,
+  	0.0186139107660094,
+  	0.0188070535331042,
+  	0.0189920016251754,
+  	0.0191686744559934,
+  	0.0193369950450545,
+  	0.0194968900511231,
+  	0.0196482898041878,
+  	0.0197911283358190,
+  	0.0199253434079123,
+  	0.0200508765398072,
+  	0.0201676730337687,
+  	0.0202756819988200,
+  	0.0203748563729175,
+  	0.0204651529434560,
+  	0.0205465323660984,
+  	0.0206189591819181,
+  	0.0206824018328499,
+  	0.0207368326754401,
+  	0.0207822279928917,
+  	0.0208185680053983,
+  	0.0208458368787627,
+  	0.0208640227312962,
+  	0.0208731176389954,
+  	0.0208731176389954,
+  	0.0208640227312962,
+  	0.0208458368787627,
+  	0.0208185680053983,
+  	0.0207822279928917,
+  	0.0207368326754401,
+  	0.0206824018328499,
+  	0.0206189591819181,
+  	0.0205465323660984,
+  	0.0204651529434560,
+  	0.0203748563729175,
+  	0.0202756819988200,
+  	0.0201676730337687,
+  	0.0200508765398072,
+  	0.0199253434079123,
+  	0.0197911283358190,
+  	0.0196482898041878,
+  	0.0194968900511231,
+  	0.0193369950450545,
+  	0.0191686744559934,
+  	0.0189920016251754,
+  	0.0188070535331042,
+  	0.0186139107660094,
+  	0.0184126574807331,
+  	0.0182033813680609,
+  	0.0179861736145128,
+  	0.0177611288626114,
+  	0.0175283451696437,
+  	0.0172879239649355,
+  	0.0170399700056559,
+  	0.0167845913311726,
+  	0.0165218992159766,
+  	0.0162520081211971,
+  	0.0159750356447283,
+  	0.0156911024699895,
+  	0.0154003323133401,
+  	0.0151028518701744,
+  	0.0147987907597169,
+  	0.0144882814685445,
+  	0.0141714592928592,
+  	0.0138484622795371,
+  	0.0135194311690004,
+  	0.0131845093222756,
+  	0.0128438426753249,
+  	0.0124975796646449,
+  	0.0121458711652067,
+  	0.0117888704247183,
+  	0.0114267329968529,
+  	0.0110596166734735,
+  	0.0106876814158841,
+  	0.0103110892851360,
+  	0.0099300043714212,
+  	0.0095445927225849,
+  	0.0091550222717888,
+  	0.0087614627643580,
+  	0.0083640856838475,
+  	0.0079630641773633,
+  	0.0075585729801782,
+  	0.0071507883396855,
+  	0.0067398879387430,
+  	0.0063260508184704,
+  	0.0059094573005900,
+  	0.0054902889094487,
+  	0.0050687282939456,
+  	0.0046449591497966,
+  	0.0042191661429919,
+  	0.0037915348363451,
+  	0.0033622516236779,
+  	0.0029315036836558,
+  	0.0024994789888943,
+  	0.0020663664924131,
+  	0.0016323569986067,
+  	0.0011976474864367,
+  	0.0007624720924706,
+  	0.0003276086705538
 };