Index: src/sans/models/media/model_functions.rst
===================================================================
--- src/sans/models/media/model_functions.rst	(revision bf8c07bf50e04f39dc730a68a071be8ef833d070)
+++ src/sans/models/media/model_functions.rst	(revision 1127c32e464bc372132319dceae5d29d93516630)
@@ -186,13 +186,13 @@
 --------
 
-- LamellarModel
-- LamellarFFHGModel
-- LamellarPSModel
-- LamellarPSHGModel
+- LamellarModel_
+- LamellarFFHGModel_
+- LamellarPSModel_
+- LamellarPSHGModel_
 
 Paracrystals
 ------------
 
-- LamellarPCrystalModel
+- LamellarPCrystalModel_
 - SCCrystalModel
 - FCCrystalModel
@@ -2356,27 +2356,25 @@
 **2.1.29. LamellarModel**
 
-This model provides the scattering intensity, I( *q*), for a lyotropic
-lamellar phase where a uniform SLD and random distribution in solution
-are assumed. The ploydispersion in the bilayer thickness can be
-applied from the GUI.
-
-The scattering intensity I(q) is:
-
-
-
-The form factor is,
-
-
-
-where d = bilayer thickness.
-
-The 2D scattering intensity is calculated in the same way as 1D, where
-the *q* vector is defined as .
-
-
-
-The returned value is in units of |cm^-1|, on absolute scale. In the
-parameters, sld_bi = SLD of the bilayer, sld_sol = SLD of the solvent,
-and bi_thick = the thickness of the bilayer.
+This model provides the scattering intensity, *I(q)*, for a lyotropic lamellar phase where a uniform SLD and random
+distribution in solution are assumed. Polydispersity in the bilayer thickness can be applied from the GUI.
+
+*2.1.29.1. Definition*
+
+The scattering intensity *I(q)* is
+
+.. image:: img/image133.PNG
+
+The form factor is
+
+.. image:: img/image134.PNG
+
+where |delta| = bilayer thickness.
+
+The 2D scattering intensity is calculated in the same way as 1D, where the *q* vector is defined as
+
+.. image:: img/image040.GIF
+
+The returned value is in units of |cm^-1|, on absolute scale. In the parameters, *sld_bi* = SLD of the bilayer,
+*sld_sol* = SLD of the solvent, and *bi_thick* = thickness of the bilayer.
 
 ==============  ========  =============
@@ -2390,10 +2388,10 @@
 ==============  ========  =============
 
-
+.. image:: img/image135.JPG
 
 *Figure. 1D plot using the default values (w/1000 data point).*
 
-Our model uses the form factor calculations implemented in a c-library
-provided by the NIST Center for Neutron Research (Kline, 2006):
+Our model uses the form factor calculations implemented in a c-library provided by the NIST Center for Neutron Research
+(Kline, 2006).
 
 REFERENCE
@@ -2409,29 +2407,26 @@
 **2.1.30. LamellarFFHGModel**
 
-This model provides the scattering intensity, I( *q*), for a lyotropic
-lamellar phase where a random distribution in solution are assumed.
-The SLD of the head region is taken to be different from the SLD of
-the tail region.
-
-The scattering intensity I(q) is:
-
-
-
-The form factor is,
-
-
-
-where dT = tail length (or t_length), dH = heasd thickness (or
-h_thickness) , DrH = SLD (headgroup) - SLD(solvent), and DrT = SLD
-(tail) - SLD(headgroup).
-
-The 2D scattering intensity is calculated in the same way as 1D, where
-the *q* vector is defined as .
-
-
-
-The returned value is in units of |cm^-1|, on absolute scale. In the
-parameters, sld_tail = SLD of the tail group, and sld_head = SLD of
-the head group.
+This model provides the scattering intensity, *I(q)*, for a lyotropic lamellar phase where a random distribution in
+solution are assumed. The SLD of the head region is taken to be different from the SLD of the tail region.
+
+*2.1.31.1. Definition*
+
+The scattering intensity *I(q)* is
+
+.. image:: img/image136.PNG
+
+The form factor is
+
+.. image:: img/image137.JPG
+
+where |delta|\ T = tail length (or *t_length*), |delta|\ H = head thickness (or *h_thickness*),
+|bigdelta|\ |rho|\ H = SLD(headgroup) - SLD(solvent), and |bigdelta|\ |rho|\ T = SLD(tail) - SLD(headgroup).
+
+The 2D scattering intensity is calculated in the same way as 1D, where the *q* vector is defined as
+
+.. image:: img/image040.GIF
+
+The returned value is in units of |cm^-1|, on absolute scale. In the parameters, *sld_tail* = SLD of the tail group,
+and *sld_head* = SLD of the head group.
 
 ==============  ========  =============
@@ -2447,10 +2442,10 @@
 ==============  ========  =============
 
-
+.. image:: img/image138.JPG
 
 *Figure. 1D plot using the default values (w/1000 data point).*
 
-Our model uses the form factor calculations implemented in a c-library
-provided by the NIST Center for Neutron Research (Kline, 2006):
+Our model uses the form factor calculations implemented in a c-library provided by the NIST Center for Neutron Research
+(Kline, 2006).
 
 REFERENCE
@@ -2466,40 +2461,35 @@
 **2.1.31. LamellarPSModel**
 
-This model provides the scattering intensity ( *form factor* \*
-*structure factor*), I( *q*), for a lyotropic lamellar phase where a
-random distribution in solution are assumed.
-
-The scattering intensity I(q) is:
-
-
+This model provides the scattering intensity, *I(q)* = *P(q)* \* *S(q)*, for a lyotropic lamellar phase where a random
+distribution in solution are assumed.
+
+*2.1.31.1. Definition*
+
+The scattering intensity *I(q)* is
+
+.. image:: img/image139.PNG
 
 The form factor is
 
-
-
-and the structure is
-
-
+.. image:: img/image134.PNG
+
+and the structure factor is
+
+.. image:: img/image140.PNG
 
 where
 
-
-
-
-
-
-
-Here d= (repeat) spacing, d = bilayer thickness, the contrast Dr = SLD
-(headgroup) - SLD(solvent), K=smectic bending elasticity,
-B=compression modulus, and N = number of lamellar plates (n_plates).
-
-NB: When the Caille parameter is greater than approximately 0.8 to
-1.0, the assumptions of the model are incorrect. And due to the
-complication of the model function, users are responsible to make sure
-that all the assumptions are handled accurately: see the original
-reference (below) for more details.
-
-The 2D scattering intensity is calculated in the same way as 1D, where
-the *q* vector is defined as .
+.. image:: img/image141.PNG
+
+Here *d* = (repeat) spacing, |delta| = bilayer thickness, the contrast |bigdelta|\ |rho| = SLD(headgroup) - SLD(solvent),
+K = smectic bending elasticity, B = compression modulus, and N = number of lamellar plates (*n_plates*).
+
+NB: **When the Caille parameter is greater than approximately 0.8 to 1.0, the assumptions of the model are incorrect.**
+And due to a complication of the model function, users are responsible for making sure that all the assumptions are
+handled accurately (see the original reference below for more details).
+
+The 2D scattering intensity is calculated in the same way as 1D, where the *q* vector is defined as
+
+.. image:: img/image040.GIF
 
 The returned value is in units of |cm^-1|, on absolute scale.
@@ -2517,10 +2507,10 @@
 ==============  ========  =============
 
-
+.. image:: img/image142.JPG
 
 *Figure. 1D plot using the default values (w/6000 data point).*
 
-Our model uses the form factor calculations implemented in a c-library
-provided by the NIST Center for Neutron Research (Kline, 2006):
+Our model uses the form factor calculations implemented in a c-library provided by the NIST Center for Neutron Research
+(Kline, 2006).
 
 REFERENCE
@@ -2536,49 +2526,41 @@
 **2.1.32. LamellarPSHGModel**
 
-This model provides the scattering intensity ( *form factor* \*
-*structure factor*), I( *q*), for a lyotropic lamellar phase where a
-random distribution in solution are assumed. The SLD of the head
-region is taken to be different from the SLD of the tail region.
-
-The scattering intensity I(q) is:
-
-
-
-The form factor is,
-
-
+This model provides the scattering intensity, *I(q)* = *P(q)* \* *S(q)*, for a lyotropic lamellar phase where a random
+distribution in solution are assumed. The SLD of the head region is taken to be different from the SLD of the tail
+region.
+
+*2.1.32.1. Definition*
+
+The scattering intensity *I(q)* is
+
+.. image:: img/image139.PNG
+
+The form factor is
+
+.. image:: img/image143.PNG
 
 The structure factor is
 
-
+.. image:: img/image140.PNG
 
 where
 
-
-
-
-
-
-
-where dT = tail length (or t_length), dH = heasd thickness (or
-h_thickness) , DrH = SLD (headgroup) - SLD(solvent), and DrT = SLD
-(tail) - SLD(headgroup). Here d= (repeat) spacing, K=smectic bending
-elasticity, B=compression modulus, and N = number of lamellar plates
-(n_plates).
-
-NB: When the Caille parameter is greater than approximately 0.8 to
-1.0, the assumptions of the model are incorrect. And due to the
-complication of the model function, users are responsible to make sure
-that all the assumptions are handled accurately: see the original
-reference (below) for more details.
-
-The 2D scattering intensity is calculated in the same way as 1D, where
-the *q* vector is defined as .
-
-
-
-The returned value is in units of |cm^-1|, on absolute scale. In the
-parameters, sld_tail = SLD of the tail group, sld_head = SLD of the
-head group, and sld_solvent = SLD of the solvent.
+.. image:: img/image141.PNG
+
+where |delta|\ T = tail length (or *t_length*), |delta|\ H = head thickness (or *h_thickness*),
+|bigdelta|\ |rho|\ H = SLD(headgroup) - SLD(solvent), and |bigdelta|\ |rho|\ T = SLD(tail) - SLD(headgroup).
+Here *d* = (repeat) spacing, *K* = smectic bending elasticity, *B* = compression modulus, and N = number of lamellar
+plates (*n_plates*).
+
+NB: **When the Caille parameter is greater than approximately 0.8 to 1.0, the assumptions of the model are incorrect.**
+And due to a complication of the model function, users are responsible for making sure that all the assumptions are
+handled accurately (see the original reference below for more details).
+
+The 2D scattering intensity is calculated in the same way as 1D, where the *q* vector is defined as
+
+.. image:: img/image040.GIF
+
+The returned value is in units of |cm^-1|, on absolute scale. In the parameters, *sld_tail* = SLD of the tail group,
+*sld_head* = SLD of the head group, and *sld_solvent* = SLD of the solvent.
 
 ==============  ========  =============
@@ -2597,11 +2579,10 @@
 ==============  ========  =============
 
-
-
+.. image:: img/image144.JPG
 
 *Figure. 1D plot using the default values (w/6000 data point).*
 
-Our model uses the form factor calculations implemented in a c-library
-provided by the NIST Center for Neutron Research (Kline, 2006):
+Our model uses the form factor calculations implemented in a c-library provided by the NIST Center for Neutron Research
+(Kline, 2006).
 
 REFERENCE
@@ -2617,37 +2598,32 @@
 **2.1.33. LamellarPCrystalModel**
 
-Lamella ParaCrystal Model: Calculates the scattering from a stack of
-repeating lamellar structures. The stacks of lamellae (infinite in
-lateral dimension) are treated as a paracrystal to account for the
-repeating spacing. The repeat distance is further characterized by a
-Gaussian polydispersity. This model can be used for large
-multilamellar vesicles.
-
-The scattering intensity I(q) is calculated as:
-
-
-
-The form factor of the bilayer is approximated as the cross section of
-an infinite, planar bilayer of thickness t.
-
-
-
-Here, the scale factor is used instead of the mass per area of the
-bilayer (G). The scale factor is the volume fraction of the material
-in the bilayer, not the total excluded volume of the paracrystal.
-ZN(q) describes the interference effects for aggregates consisting of
-more than one bilayer. The equations used are (3-5) from the Bergstrom
-reference below.
-
-Non-integer numbers of stacks are calculated as a linear combination
-of the lower and higher values:
-
-
-
-The 2D scattering intensity is the same as 1D, regardless of the
-orientation of the *q* vector which is defined as .
-
-The parameters of the model are the following (Nlayers= no. of layers,
-pd_spacing= polydispersity of spacing):
+This model calculates the scattering from a stack of repeating lamellar structures. The stacks of lamellae (infinite
+in lateral dimension) are treated as a paracrystal to account for the repeating spacing. The repeat distance is further
+characterized by a Gaussian polydispersity. **This model can be used for large multilamellar vesicles.**
+
+*2.1.33.1. Definition*
+
+The scattering intensity *I(q)* is calculated as
+
+.. image:: img/image145.JPG
+
+The form factor of the bilayer is approximated as the cross section of an infinite, planar bilayer of thickness *t*
+
+.. image:: img/image146.JPG
+
+Here, the scale factor is used instead of the mass per area of the bilayer (*G*). The scale factor is the volume
+fraction of the material in the bilayer, *not* the total excluded volume of the paracrystal. *ZN(q)* describes the
+interference effects for aggregates consisting of more than one bilayer. The equations used are (3-5) from the
+Bergstrom reference below.
+
+Non-integer numbers of stacks are calculated as a linear combination of the lower and higher values
+
+.. image:: img/image147.JPG
+
+The 2D scattering intensity is the same as 1D, regardless of the orientation of the *q* vector which is defined as
+
+.. image:: img/image040.GIF
+
+The parameters of the model are *Nlayers* = no. of layers, and *pd_spacing* = polydispersity of spacing.
 
 ==============  ========  =============
@@ -2664,13 +2640,10 @@
 ==============  ========  =============
 
-
-
-*Figure. 1D plot using the default values above (w/20000 data
-point).*
-
-Our model uses the form factor calculations implemented in a c-library
-provided by the NIST Center for Neutron Research (Kline, 2006).
-
-See the reference for details.
+.. image:: img/image148.JPG
+
+*Figure. 1D plot using the default values above (w/20000 data point).*
+
+Our model uses the form factor calculations implemented in a c-library provided by the NIST Center for Neutron Research
+(Kline, 2006).
 
 REFERENCE